Subject: RFC 4606

From: Alfred Hönes <[email-masked]>
Date: Wed, 1 Nov 2006 16:47:16 +0100 (MEZ)

Hello,
reading the recently published RFC 4606 (GMPLS for SONET/SDH)
authored by you, I found a couple of textual issues and flaws
I'd like to report.
Unfortunately, I never had found the time to comment on the
predecessor, RFC 3946, where some of these issues originate.

(1)  use of "N"

In Section 2.1 of RFC 4606, on page 6, the explanations for
the NCC field contain the Note:

   Note 2: When a transparent STS-N/STM-N signal is requested that is
   limited to a single contiguously concatenated STS-Nc_SPE/VC-4-Nc, the
   signal type must be STS-N/STM-N, RCC with flag 1, NCC set to 1.

Such text (and similar) contains an unfortunate mess-up of two
distinct uses of "N", with different range of admissible values
for STS-N and STM-N.
This becomes particularly confusing in phrases like
"a single contiguously concatenated STS-Nc_SPE/VC-4-Nc".
I strongly recommend to avoid this overloaded use of "N"
in a single context.
Using "M" for one of these two "N"s instead, i.e. talking
about "STS-M/STM-N", or talking about "STS-<3*N>/STM-N" or
even "STS-3N/STM-N", would remove the ambiguity and add to
the clarity of the text.

(2)  typo

In Section 3, at the bottom of page 11, the RFC says:

                     [...].  The standard definition for virtual
   concatenation allows each virtual concatenation components to travel
   over diverse paths.  [...]
                                                            ^
It should say:

                     [...].  The standard definition for virtual
|  concatenation allows each virtual concatenation component to travel
   over diverse paths.  [...]

or perhaps better:

                     [...].  The standard definition for virtual
|  concatenation allows the virtual concatenation components to travel
   over diverse paths.  [...]

(3)  continuation of (1)

Within section 3, the numbered rules on mid-page 13 would also
benefit from application of the arguments given in item (1) above:

   1.  S=1->N is the index of a particular STS-3/AUG-1 inside an
       STS-N/STM-N multiplex.  S is only significant for SONET STS-N
       (N>1) and SDH STM-N (N>0).  S must be 0 and ignored for STS-1 and
       STM-0.

should better be specified as:

   1.  S=1->N is the index of a particular STS-3/AUG-1 inside an
|      STS-3N/STM-N multiplex.
|      S is only significant for SONET STS-3N and SDH STM-N (N>0).
       S must be 0 and ignored for STS-1 and STM-0.

and

   2.  U=1->3 is the index of a particular STS-1_SPE/VC-3 within an
       STS-3/AUG-1.  U is only significant for SONET STS-N (N>1) and SDH
       STM-N (N>0).  U must be 0 and ignored for STS-1 and STM-0.

should better be specified as:

   2.  U=1->3 is the index of a particular STS-1_SPE/VC-3 within an
       STS-3/AUG-1.
|      U is only significant for SONET STS-3N and SDH STM-N (N>0).
       U must be 0 and ignored for STS-1 and STM-0.

(4)  inconsistency in examples

Still within Section 3, in the lower half of page 15,
under the headline:

   Examples of Labels

there are multiple occurrances of an index shift that makes the text
inconsistent with the tables on page 14 and the upper half of page 15.
E.g., "Kth-1" for "K>0" would result in "0th, 1st, 2nd" where the
appropriate table (at tho bottom of page 14) gives "1st, 2nd, 3rd" :

    K    SDH VC-4
   ---------------
    0    other
    1    1st TUG-3
    2    2nd TUG-3
    3    3rd TUG-3

Hence,
a)
                                                   vv
|  Example 2: the label for the VC-3 within the Kth-1 TUG-3 within
              the VC-4 in the Sth AUG-1 is: S>0, U=0, K>0, L=0, M=0.

should be corrected to say:

|  Example 2: the label for the VC-3 within the Kth TUG-3 within the
              VC-4 in the Sth AUG-1 is: S>0, U=0, K>0, L=0, M=0.

b)
                                   vv
|  Example 3: the label for the Uth-1 STS-1_SPE/VC-3 within the Sth
              STS-3/AUG-1 is: S>0, U>0, K=0, L=0, M=0.

should be corrected to say:

|  Example 3: the label for the Uth STS-1_SPE/VC-3 within the Sth
              STS-3/AUG-1 is: S>0, U>0, K=0, L=0, M=0.

c)
                                                   vv
|  Example 4: the label for the VT6/VC-2 in the Lth-1 VT Group/TUG-2
|             in the Uth-1 STS-1_SPE/VC-3 within the Sth STS-3/AUG-1
                        ^^
              is: S>0, U>0, K=0, L>0, M=0.

should be corrected to say:

|  Example 4: the label for the VT6/VC-2 in the Lth VT Group/TUG-2
|             in the Uth STS-1_SPE/VC-3 within the Sth STS-3/AUG-1
              is: S>0, U>0, K=0, L>0, M=0.

and
d)
                                                              vv
|  Example 5: the label for the 3rd VT1.5_SPE/VC-11 in the Lth-1 VT
|             Group/TUG-2 within the Uth-1 STS-1_SPE/VC-3 within the
                                        ^^
              Sth STS-3/AUG-1 is: S>0, U>0, K=0, L>0, M=8.

should be corrected to say:

|  Example 5: the label for the 3rd VT1.5_SPE/VC-11 in the Lth VT
|             Group/TUG-2 within the Uth STS-1_SPE/VC-3 within the
              Sth STS-3/AUG-1 is: S>0, U>0, K=0, L>0, M=8.

(5)  incomplete example

In Annex 1, at the bottom of page 21, the last list item says:

   10.  An STS-1-3v SPE signal is formed by the application of RCC with
        value 0, NVC with value 3 (virtual concatenation of 3
        components), MT with value 1, and T with value 0 to an STS-1 SPE
        Elementary Signal.

This text does not specify the significant NCC value.
It should say instead:

   10.  An STS-1-3v SPE signal is formed by the application of RCC with
|       value 0, NCC with value 0, NVC with value 3 (virtual
        concatenation of 3 components), MT with value 1, and T with
        value 0 to an STS-1 SPE Elementary Signal.

Please comment.

Preferrably, to address these issues, you should prepare an
Author's Errata Note for RFC 4606, making freely use of the
material presented above, and submit it to the RFC Editor
for publication on the RFC Errata web pages.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+